<?php
declare(strict_types=1);

namespace App\Domain\Media;

use App\Framework\Http\UploadedFile;
use function move_uploaded_file;

final readonly class SaveImageFile
{
    public function __invoke(Image $image, string $tempFileName): bool
    {
        $directory = $image->path;
        if (!is_dir($directory)) {
            mkdir($directory, 0755, true);
        }
        return move_uploaded_file($tempFileName, $image->path . $image->filename);
    }
}
